/* Das CSS für "Die Wanderratte" */

/* Die Variablen */

:root {
	--f_linktext: black;
	--f_menu: #000;
	--f_text: #000;
	--f_button: Orange;
	--f_button_hover: DarkOrange;
	--f_menu_active: black;
	--f_menu_hover: grey;
	--box_shadow: 5px 5px 10px rgb(0,0,0,0.5);
}

html { font-size: 1.0rem; }

body
{
	max-width: 1500px;
	width: auto;
	margin: 0 auto;
	padding: min(5em, 5%);
	font-size: 1.2rem;
	box-sizing: border-box;
	font-family: system-ui, sans-serif;
	font-weight: 300;
}

/* Hintergrundbilder */

body.home-seite
{
	background-image: url("/files/seitenbilder/home-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
}

body.ueber-seite
{
	background-image: url("/files/seitenbilder/ueber-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
	z-index: 10;
}

body.wanderungen-seite,
body.wanderung-seite
{
	background-image: url("/files/seitenbilder/wanderungen-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
}

body.impressum-seite
{
	background-image: url("/files/seitenbilder/impressum-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
}

body.login-seite
{
	background-image: url("/files/seitenbilder/login-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
}

body.nix-gefunden-seite,
body.kein-zutritt-seite
{
	background-image: url("/files/seitenbilder/home-seite.jpg");
	background-repeat: no-repeat;
	background-position: top;
	background-attachment: fixed;
	background-size: cover;
}

/* Navigation */

#headerNAV
{
	background:none;
}

#headerNAV ul
{
	display: flex;
	justify-content: center;
}

 #headerNAV li
{
	background:none;
	float:middle;
	padding:1rem;
	font-size: 2rem;
	font-size: clamp(1rem, 4vw, 3rem);
	color: var(--f_menu, #121212);
}

#headerNAV li:not( li:last-child )
{
	border-right: 2px solid black;
}

#headerNAV a:hover, #headerNAV a:focus
{
		color: var(--f_menu_hover,#f40);

}

#headerNAV .active
{
	background:none;
	color: var(--f_menu_active,#f40);
}

/* ########## Für große Bildschirme ########## */

@media only screen and (min-width: 700px)
{
	#headerNAV ul
	{
		font-size: clamp(2rem, 4vw, 2.5rem);
		flex-direction: row;
	}

 #mobile_menue_zeile {
 	display: none;
 }

	#mobilesMenue {
		display: none;
	}

}

/* ########## Für kleine Bildschirme ########## */

@media only screen and (max-width: 699px)
{
	body {
		padding: min(4em, 1%);
	}

	#headerNAV {
		display: none;
	}

 	#mobile_menue_zeile {
		display: flex;
		align-items: center;
		justify-content: space-between;
		background: none;
	}

	#mobil-menu-starter img {
		margin-left: 2rem;
	}

	.mobil_header_Ratte {
		margin: 1rem 1rem 1rem 0;
	}

	#mobilesMenue:not( .mm-menu ) {
		display: none;
	}


	#wanderratteBild {
		display: none;
	}

}

/* Anker */

a
{
	color: var(--f_linktext, #f40);
	text-decoration: none;
}

a:hover,
a:focus {
	text-decoration:underline;
}

/* Bilder zentrieren */

img
{
	background-color: rgba(200,200,200,0.8);
	max-width: 90%;
	height: auto;
	border-radius: 1rem;
	box-shadow: var(--box_shadow);
	padding: 0.5rem;
	margin: 0.5rem;
}

.ZentriertesBild
{
	display: flex;
  justify-content: center;
  align-items: center;
	text-align: center;
}

/* Benachrichtigung für neue Kommentare ausblenden */

div#wanderung div.widget-checkbox {display: none;}

/* Rand oben und seitlich einfügen */

.oben_50px
{
	margin-top: 50px;
}

.unten_50px
{
	margin-bottom: 50px;
}


.links_rechts_50px
{
	margin-left: 50px;
	margin-right: 50px;
}

/* zentrierter Textblock */

.ZentrierterTextblock,
.nachrichtenleser
{
	display: block;
	box-sizing: border-box;
	width: 98%;
	margin: 1rem auto;
	padding: 1rem;
	background-color: rgba(200,200,200,0.9);
	border-radius: 1rem;
	line-height: 1.2;
	color: var(--f_text,#f40);
}

.einzeleintrag {
	padding: 10px 10px 0 10px;
	background-color: rgba(230,230,230,0.8);
	border-radius: 10px;
	margin-bottom: 15px;
}

.comment_default
{
	background-color: rgba(150,150,150,0.9);
	margin-bottom: 5px;
	padding: 10px 5px 0px 5px;
	border:1px solid #000;
	border-radius:5px;
}

.widget label[for^="ctrl_website"],
.widget input[name="website"]
{
	display: none;
}

/* Rechter Rand bei includierten Bildern hinzufügen */

figure.image_container img
{
	margin-right: 20px;
	margin-bottom: 20px;
}

#toTop
{
	background-color: var(--f_linktext, #f40);
	z-index: 2000;
	border: 1px solid black;
	border-radius: 7px;
}

p.back {
	margin-left: 13px;
	display: inline;
	height: 18px;
	padding: 5px 10px;
	background-color: var(--f_button, #f40);
	color: black;
	border: 1px black solid;
	border-radius: 5px;
}

p.back:hover {
		background-color: var(--f_button_hover, #f40);
}

p.back a {
	color: black;
	text-decoration: none;
}

/* eingefügt: RR 2.8.2024 Die Submit-Buttons Newsletter einfärben*/

button[type="submit"] {
	border-radius: 5px;
	background: var(--f_button, #f40);
	border: 1px black solid;
}

div.widget-submit button.submit:hover,
p.more a:hover
{
  background: var(--f_button_hover, #f40); /*#be322b; */
}

figure.image_container a img:hover{
		scale: 1.05;
}

p.more a {
	padding: 0 8px 0 8px;
	border: 1px solid black;
	border-radius: 5px;
	color: black;
	background-color: var(--f_button, #f40);
	text-decoration: none;
}

.layout_latest {
	margin-bottom: 10px;
}

.mod_login {
	max-width: clamp(300px, 100vw, 700px);
}

